%global realname jsone

Name:		erlang-%{realname}
Version:	1.6.1
Release:	%mkrel 3
BuildArch:	noarch
Summary:	Erlang JSON library
Group:		Development/Other
License:	MIT
URL:		https://github.com/sile/jsone
Source0:	https://github.com/sile/jsone/archive/%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar


%description
An Erlang library for encoding, decoding JSON data.


%prep
%autosetup -p 1 -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license COPYING
%doc doc/ README.md
%{erlang_appdir}/


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.6.1-3.mga10
+ Revision: 2213110
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 1.6.1-2.mga9
+ Revision: 1836511
- Mageia 9 Mass Rebuild

* Sun Aug 15 2021 wally <wally> 1.6.1-1.mga9
+ Revision: 1741432
- imported package erlang-jsone

